# Command: insert

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    insert - Insert all elements of one container in another container.

Synopsis:

    (string1) n (string2) insert -> (string3)
      Inserts string2 into string1, starting at position n.

      [array1] n [array2] insert-> [array3]
      Inserts all elements of array2 into array1, starting at
      position n

Examples:

    (spikesimulation) 5 (train) insert -> (spiketrainsimulation)
      [20 21 22 24 25 26] 3 [23] insert -> [20 21 22 23 24 25 26]

SeeAlso:

- join
- insertelement
- append
- prepend

Source:

    /opt/conda/conda-bld/nest_1512421404550/work/nest-2.12.0/sli/slidata.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative